class KPasswordEdit

# class KPasswordEdit | A safe password input widget. More...
Definition | `#include <kpassdlg.h>`
Inherits | QLineEdit (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum EchoModes { OneStar, ThreeStars, NoEcho }

#### Public Methods

- KPasswordEdit (QWidget *parent=0, const char *name=0)
- KPasswordEdit (EchoMode echoMode, QWidget *parent, const char *name)
- KPasswordEdit (QWidget *parent, const char *name, int echoMode)
- ~KPasswordEdit ()
- const char * password () const
- void erase ()

#### Public Slots

- virtual void insert ( const QString &)

#### Public Members

- static const int PassLen

#### Protected Methods

- virtual void keyPressEvent (QKeyEvent *)
- virtual void focusInEvent (QFocusEvent *e)
- virtual bool event (QEvent *e)

## Detailed Description

The widget uses the user's global "echo mode" setting.

enum EchoModes { OneStar, ThreeStars, NoEcho } | ### EchoModes

KPasswordEdit (QWidget *parent=0, const char *name=0) | ### KPasswordEdit

Constructs a password input widget using the user's global "echo mode" setting.

KPasswordEdit (EchoMode echoMode, QWidget *parent, const char *name) | ### KPasswordEdit

Constructs a password input widget using echoMode as "echo mode".

KPasswordEdit (QWidget *parent, const char *name, int echoMode) | ### KPasswordEdit

Creates a password input widget using echoMode as "echo mode".

~KPasswordEdit () | ### ~KPasswordEdit

Destructs the widget.

const char * password () | ### password

[const]

Returns the password. The memory is freed in the destructor so you should make a copy.

void erase () | ### erase

Erases the current password.

static const int PassLen | ### PassLen

void insert ( const QString &) | ### insert

[virtual slot]

Reimplementation

void keyPressEvent (QKeyEvent *) | ### keyPressEvent

[protected virtual]

Reimplemented from QLineEdit.

void focusInEvent (QFocusEvent *e) | ### focusInEvent

[protected virtual]

bool event (QEvent *e) | ### event

[protected virtual]

- Author: Geert Jansen
- Generated: root on macppc.ports.openbsd.org on Sat Sep 6 10:36:37 2003, using kdoc 2.0a54.